import type { PermissionModule } from "@/types/permissionTypes";

export interface TemplateUsageViewModel {
  scope: PermissionModule;
  header: { id: number; template: string } | null;
  body: { id: number; template: string } | null;
  footer: { id: number; template: string } | null;
}

export interface UpdateTemplateUsageViewModel {
  scope: PermissionModule;
  headerId: number | null;
  bodyId: number | null;
  footerId: number | null;
}
